gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.TreeView Tree and List view.
- Constructor
  Public Constructor.
- Constructor
  a
  Constructs a new view for a given .
- Method
  System.Void `` `` an object of type an object of type Collapses a row (hides its child rows, if they exist).
- Method
  Gtk.TreeViewColumn `` `` `` a a a Adds a column to the view using a data callback delegate. a
- Method
  System.Boolean `` an object of type identifying the row to be activated Activates the cell determined by and . To be added.
- Method
  Cairo.Surface `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` an object of type identifying the row to expand a to determine whether to recursively expand or just expand immediate children Expands the row at so its children are visible.
- Method
  System.Void `` an object of type identifying the row to expand Expands the row at . This will also expand all parent rows of as necessary.
- Method
  Gdk.Rectangle `` `` an object of type identifying the row an object of type identifying the column Fills the bounding rectangle in tree window coordinates for the cell at the row specified by and the column specified by . To be added. See the remark in .
- Method
  Gdk.Rectangle `` `` an object of type identifying the row an object of type identifying the column Fills the bounding rectangle in tree window coordinates for the cell at the row specified by and the column specified by . To be added. See the remark in .
- Method
  Gtk.ITreeNode `` `` an X coordinate an Y coordinate Finds the ITreeNode at the point (x, y), relative to widget coordinates. an object of type It is primarily for things like popup menus. This function is only meaningful if TreeView is realized. This function can return null.
- Method
  System.Boolean `` an object of type Returns if the node pointed to by is expanded. a
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  Gtk.NodeSelection Used to obtain and manipulate the currently selected node(s). an object of type
- Property
  Gtk.NodeStore The store containing the view's data. an object of type
- Method
  System.Void `` `` `` `` `` an object of type identifying a row to scroll to an object of type identifying a column to scroll to a a a Moves the alignments of the to the position specified by and .

  If is , then no horizontal scrolling occurs. Likewise, if is no vertical scrolling occurs. At a minimum, one of or need to be non-. determines where the row is placed, and determines where the column is placed. Both are expected to be between 0.0 and 1.0. 0.0 means left/top alignment, 1.0 means right/bottom alignment, 0.5 means center.

  If is , then the alignment arguments are ignored, and the tree does the minimum amount of work to scroll the cell onto the screen. This means that the cell will be scrolled to the edge closest to its current position. If the cell is currently visible on the screen, nothing is done.

  This function only works if the model is set, and is a valid row on the model. If the model changes before the is realized, the centered path will be modified to reflect this change.

- Method
  System.Void `` `` `` `` an object of type an object of type an object of type an object of type Sets the tip area of to the area which cell occupies in the item pointed to by node. See also ..